<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:c="http://java.sun.com/jstl/core">
	<!-- Step 1 Modal -->
	<div id="ideaInputStepOneModal" class="w3-modal">
		<h:body class="w3-modal-content w3-animate-opacity">
			<p:panel id="mainBody">
				<h:form id="ideaInputStepOneForm" enctype="multipart/form-data"
					style="#{ideaInputBean.styleModalOne}">
					<p:focus id="focusOnError" />
					<h:inputHidden id="ideasId" value="#{ideaInputBean.currentIdeasId}" />
					<h:inputHidden id="lat" value="#{ideaInputBean.lat}" />
					<h:inputHidden id="lng" value="#{ideaInputBean.lng}" />
					<header class="w3-container w3-blue">
						<h2 id="ideaInputModalHeadline">Ein neues Projekt einreichen</h2>
						<div class="modal-menu-header">
							<div class="selected">Kurzbeschreibung</div>
							<h:panelGroup rendered="#{ideaInputBean.stepTwoVisited}">
								<div class="not-selected">
									<p:commandLink value="Bilder" id="goToStepTwoFromStepOne"
										actionListener="#{ideaInputBean.ideaInputStepOne}" />
								</div>
							</h:panelGroup>

							<h:panelGroup rendered="#{!ideaInputBean.stepTwoVisited}">
								<div class="not-selected">Bilder</div>
							</h:panelGroup>

							<h:panelGroup rendered="#{ideaInputBean.stepTwoVisited}">
								<div class="not-selected">
									<p:commandLink value="Lösungspräsentation"
										id="goToStepThreeFromStepOne"
										actionListener="#{ideaInputBean.ideaInputStepOneToStepThree}" />
								</div>
							</h:panelGroup>

							<h:panelGroup rendered="#{!ideaInputBean.stepTwoVisited}">
								<div class="not-selected">Lösungspräsentation</div>
							</h:panelGroup>

							<div class="not-selected">Eingaben prüfen</div>
						</div>
					</header>
					<div class="w3-container w3-padding-small w3-row">
						<div class="w3-col m4 l3">
							<p>Bitte beantworten Sie alle Fragen, um eine genaue
								Beschreibung Ihres Projekts zu erstellen.</p>
						</div>
						<div class="w3-col m8 l9">
							<!-- Title Input -->
							<p style="padding-bottom: 5px">
								<label for="ideaTitleInput">Wie lautet der Name des
									Projekts?</label>
								<p:inputText id="ideaTitleInput" class="w3-input" type="text"
									required="true"
									validatorMessage="Länge des Titels muss zwischen fünf und 50 Zeichen liegen."
									requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.title}">
									<f:validateLength minimum="5" maximum="50" />
									<p:ajax update="valTitelInputStepOne" event="keyup" />
								</p:inputText>
								<p:message for="ideaTitleInput" id="valTitelInputStepOne" />
							</p>
							<p>&#160;</p>
							<!-- Goal Input -->
							<p style="padding-bottom: 5px">
								<label for="ideaGoalInput">Was ist das Ziel des
									Projekts?</label>
								<p:inputTextarea rows="3" cols="33" id="ideaGoalInput"
									class="w3-input" type="text" required="true"
									validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen."
									requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.goal}">
									<f:validateLength minimum="15" maximum="4000" />
									<p:ajax update="valGoalInputStepOne" event="keyup" />
								</p:inputTextarea>
								<p:message for="ideaGoalInput" id="valGoalInputStepOne" />
							</p>

							<!-- Target Audience Input -->
							<p style="padding-bottom: 5px">
								<label for="ideaAudienceInput">Für wen ist das Projekt
									wichtig?</label>
								<p:inputTextarea rows="3" cols="33" id="ideaAudienceInput"
									class="w3-input" type="text" required="true"
									validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen."
									requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.targetAudience}">
									<f:validateLength minimum="15" maximum="4000" />
									<p:ajax update="valAudienceInputStepOne" event="keyup" />
								</p:inputTextarea>
								<p:message for="ideaAudienceInput" id="valAudienceInputStepOne" />
							</p>

							<!-- Importance Input -->
							<p style="padding-bottom: 5px">
								<label for="ideaImportanceInput">Warum ist das Projekt
									wichtig?</label>
								<p:inputTextarea rows="3" cols="33" id="ideaImportanceInput"
									class="w3-input" type="text" required="true"
									validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen."
									requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%; border:" value="#{ideaInputBean.importance}">
									<f:validateLength minimum="15" maximum="4000" />
									<p:ajax update="valImportanceInputStepOne" event="keyup" />
								</p:inputTextarea>
								<p:message for="ideaImportanceInput"
									id="valImportanceInputStepOne" />
							</p>

							<!-- Solution Input -->
							<p style="padding-bottom: 5px">
								<label for="ideaSolutionInput">Wie sieht die Umsetzung
									des Projekts aus?</label>
								<p:inputTextarea rows="3" cols="33" id="ideaSolutionInput"
									class="w3-input" type="text" required="true"
									validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen."
									requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.solution}">
									<f:validateLength minimum="15" maximum="4000" />
									<p:ajax update="valSolutionInputStepOne submitStepOne"
										event="keyup" />
								</p:inputTextarea>
								<p:message for="ideaSolutionInput" id="valSolutionInputStepOne" />
							</p>
						</div>
						<p>&#160;</p>
						<div class="w3-col m4 l3">
							<p>Fügen Sie Ihrem Projekt Schlagwörter hinzu. Bestätigen Sie jedes Schlagwort durch Klick auf das darunter erscheinende Feld.</p>
						</div>
						<div class="w3-col m8 l9">
							<!-- Tags Input -->
							<p>
								<p:outputLabel
									value="Welche Schlagworte sind mit dem Projekt verbunden?"
									for="ideaTagInput" />
								<p:autoComplete id="ideaTagInput" maxResults="5" multiple="true"
									value="#{ideaInputBean.selectedTags}"
									completeMethod="#{autoCompBean.completeText}"
									forceSelection="true">
									<p:ajax event="itemSelect"
										listener="#{autoCompBean.onItemSelect}" />
								</p:autoComplete>
							</p>
						</div>
						<p>&#160;</p>
						<p>&#160;</p>
						<div class="w3-col m4 l3">
							<p>Klicken Sie auf die Karte, um das Projekt zu verorten.</p>
						</div>
						<div class="w3-col m8 l9">
							<label>Wo findet Ihr Projekt statt?</label>
							<p>&#160;</p>
							<!-- LEAFLET JAVASCRIPT -->
							<script>
								define._amd = define.amd;
								define.amd = false;
							</script>
							<link rel="stylesheet"
								href="https://cdnjs.cloudflare.com/ajax/libs/leaflet/1.3.4/leaflet.css" />
							<script
								src="https://cdnjs.cloudflare.com/ajax/libs/leaflet/1.3.4/leaflet.js"></script>

							<!-- Load Esri Leaflet from CDN -->
							<script
								src="https://unpkg.com/esri-leaflet@2.2.3/dist/esri-leaflet.js"></script>

							<!-- Load Esri Leaflet Geocoder from CDN -->
							<link rel="stylesheet"
								href="https://unpkg.com/esri-leaflet-geocoder@2.2.13/dist/esri-leaflet-geocoder.css" />

							<h:outputScript library="js" name="esri-leaflet-geocoder.js" />

							<script>
								define.amd = define._amd;
							</script>
							<div id="mapid"></div>
							<script>
								var allMarkers = L.layerGroup();
								var mymap = L.map('mapid').setView(
										[ 51.312066, 9.492901 ], 12);
								mymap.options.minZoom = 12;
								mymap.options.maxZoom = 16;

								var southWest = L.latLng(51.18994825699286,
										9.743328094482424), northEast = L
										.latLng(51.455778558471586,
												9.244995117187502);
								var bounds = L.latLngBounds(southWest,
										northEast);
								mymap.setMaxBounds(bounds);
								mymap.on('drag', function() {
									mymap.panInsideBounds(bounds, {
										animate : false
									});
								});
								var redIcon = L
										.icon({
											iconUrl : 'https://www.weckdenherkulesindir.de/documents/20142/32730/marker-icon.png/f9a304c8-716b-9684-b7d4-a31318ba5e50?t=1544108384492',
											shadowUrl : 'https://www.weckdenherkulesindir.de/documents/20142/32730/marker-shadow.png/20ac54bb-8339-1fea-659a-e473c5a18bb5?t=1544108384613',

											iconSize : [ 25, 41 ], // size of the icon
											iconAnchor : [ 12, 41 ], // point of the icon which will correspond to marker's location
											popupAnchor : [ 0, -34 ], // point from which the popup should open relative to the iconAnchor
											tooltipAnchor : [ 16, -20 ],

											shadowSize : [ 41, 41 ], // size of the shadow
											shadowAnchor : [ 14, 41 ]
										// the same for the shadow
										});

								var wmsUrl = 'https://geoportal.kassel.de/arcgis/services/Service_Raster/Geoportal_WebMaps_WGS84/MapServer/WMSServer?';
								L.tileLayer
										.wms(wmsUrl, {layers : '1:9.028,1:18.056,1:36.112,1:72.224,1:144.448'}).addTo(mymap);

								var searchControl = L.esri.Geocoding
										.geosearch().addTo(mymap);

								var adressMarker;
								var results = L.layerGroup().addTo(mymap);
								searchControl.on('results',function(data) {
													results.clearLayers();
													for (var i = data.results.length - 1; i >= 0; i--) {
														results.addLayer(adressMarker = L.circleMarker(data.results[i].latlng));
														adressMarker.on('click',function() {
																			results.clearLayers();
																			})
													}
												});
								mymap.on('click', addMarker);
								try {
									var latlng = L
											.latLng(document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lat").value,
													document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lng").value);
									marker = new L.Marker(latlng, {
										icon : redIcon,
										draggable : false
									});
									if (allMarkers.getLayers().length > 0) {
										allMarkers.clearLayers();
									}
									allMarkers.addLayer(marker);
									mymap.addLayer(allMarkers);
								} catch (err) {
									//DO Nothing
								}

								function addMarker(e) {
									mymap.removeLayer(allMarkers);
									allMarkers.clearLayers();
									marker = new L.Marker(e.latlng, {
										icon : redIcon,
										draggable : false
									});
									allMarkers.addLayer(marker);
									mymap.addLayer(allMarkers);
									document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lat").value = e.latlng.lat;
									document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lng").value = e.latlng.lng;
								};
							</script>

							<!-- LEAFLET JAVASCRIPT END -->
						</div>
					</div>
					<p>&#160;</p>
					<footer class="w3-container w3-grey">
						<div class="w3-bar">
							<p:commandButton value="Weiter" id="submitStepOne"
								styleClass="ui-priority-primary" style="float:right;"
								actionListener="#{ideaInputBean.ideaInputStepOne}"
								update="_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:focusOnError valTitelInputStepOne valImportanceInputStepOne valAudienceInputStepOne valGoalInputStepOne valSolutionInputStepOne _JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:ideaTitleInput _JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:ideaTagInput
							  	_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:ideaGoalInput _JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:ideaImportanceInput _JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:ideaAudienceInput
							  	_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:ideaSolutionInput _JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:ideasId _JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:lat _JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:lng">
							</p:commandButton>

							<p:commandButton value="Eingaben zurücksetzen"
								id="cancelBtnStepOne"
								action="#{ideaInputBean.nullfyInputFields}" rendered="false"
								onclick="var clicked = confirm('Bist Du sicher ?'); if(clicked){document.getElementById('ideaInputStepOneModal').style.display='none'}">
							</p:commandButton>
						</div>
					</footer>
				</h:form>

				<!-- Step two -->
				<p:panel id="ideaInputStepTwoPanel"
					style="#{ideaInputBean.styleModalTwo}">
					<h:form id="ideaInputStepTwoForm" enctype="multipart/form-data">
						<header class="w3-container w3-blue">
							<h2 id="ideaInputModalHeadline">Ein neues Projekt einreichen</h2>
							<div class="modal-menu-header">
								<div class="not-selected">
									<p:commandLink value="Kurzbeschreibung"
										id="backToStepOneFromStepTwo"
										onclick="submitStepTwoAndGoToStepOne()" />
								</div>
								<div class="selected">Bilder</div>
								<div class="not-selected">
									<p:commandLink value="Lösungspräsentation"
										id="backToStepOneThreeStepTwo"
										onclick="submitStepTwoAndGoToStepThree()" />
								</div>
								<div class="not-selected">Eingaben prüfen</div>
							</div>
						</header>
					</h:form>
					<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" />
					<!-- <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script> -->
					<div class="w3-row">
						<div class="w3-col m4 l3">
							<p>"Bilder sagen mehr als tausend Worte!"</p>
							<p>Damit andere das Projekt besser verstehen, sollten Sie es
								visuell mit einem oder mehreren Bildern darstellen.</p>
							<br />
							<p>Nutzen sie folgende Werkzeuge:</p>
							<!-- <ol>
						        <li>Eine Zeichenumgebung in welcher Sie selbstständig Formen, Symbole und Zeichnungen einfügen können.</li>
						        <li>Die Möglichkeit Bilder und Fotos hochzuladen, die helfen, das Projekt zu beschreiben.</li>
						        <li>Mit einem Smartphone können Sie die Bilder direkt aufnehmen und hochladen.</li>
						      </ol>	 -->
							<ol>
								<i class="fas fa-mouse-pointer"/> Mit der Maus können Sie Elemente auswählen und verschieben.
							</ol>
							<ol><i class="fas fa-pencil-alt"/> Mit dem Stift können Sie auf dem Bild zeichnen.</ol>
							<ol><i class="fas fa-cube"></i> Sie können Formen per Drag-and-Drop in Ihr Bild integrieren.</ol>
							<ol><i class="fas fa-text-width"></i> Sie können dem Bild Texte hinzufügen.</ol>
							<ol><i class="fas fa-trash-alt"></i> Mit dem Mülleimer können Sie markierte Objekte löschen.</ol>
							<br />
							<p>Bei 'Bild 1' handelt es sich um das Vorschaubild. Sollten Sie keines der drei Bilder auswählen, wird das folgende Bild als Platzhalter erscheinen.</p>
							<h:graphicImage library="images"
											name="placeholder.jpg" style="margin:5px;width: 278px; height: 278px" />
						</div>
						<div class="w3-col m8 l9">
							<div class="w3-container w3-padding-small">
								<div>
									<label>Bildgestaltung</label>
									<p>Laden Sie ein Bild hoch und zeichen Sie darauf.</p>
								</div>
								<div class="w3-container w3-padding-small">
									<div id="tabs">
										<p:tabView onTabChange="handleTabChange(index)">
										<p:tab title="Bild 1">
												<div id="canvas-container1" style="width: 600px; height: 500px; position: relative; user-select: none; float: left; margin: 10px;">
												<canvas id="c1" width="600" height="500"
														style="border: 1px solid rgb(170, 170, 170); position: absolute; width: 600px; height: 500px; left: 0px; top: 0px; touch-action: none; user-select: none;">
													</canvas>
												</div>
										</p:tab>
										<p:tab title="Bild 2">
												<div id="canvas-container2" style="width: 600px; height: 500px; position: relative; user-select: none; float: left; margin: 10px;">
												<canvas id="c2" width="600" height="500"
														style="border: 1px solid rgb(170, 170, 170); position: absolute; width: 600px; height: 500px; left: 0px; top: 0px; touch-action: none; user-select: none;">
													</canvas>
												</div>
										</p:tab>
										<p:tab title="Bild 3">
											<div id="canvas-container3" style="width: 600px; height: 500px; position: relative; user-select: none; float: left; margin: 10px;">
											<canvas id="c3" width="600" height="500"
													style="border: 1px solid rgb(170, 170, 170); position: absolute; width: 600px; height: 500px; left: 0px; top: 0px; touch-action: none; user-select: none;">
												</canvas>
											</div>
										</p:tab>
										</p:tabView>
									</div>
									<div class="w3-row">										
										<div class="w3-col s6">
											<h:form id="imgUpload" enctype="multipart/form-data">
												<input type="file" id="imgUpload"
													accept="image/*" />
											</h:form>
										</div>
										<div id="tools" class="w3-col s6">		
											<button id="select-tool" class="btn" title="Elemente auswählen und verschieben"><i class="fas fa-mouse-pointer" ></i></button>
											<button id="edit-tool" class="btn" title="Auf dem Bild zeichnen"><i class="fas fa-pencil-alt" ></i></button>
											<button id="images-tool" class="btn" title="Formen hinzufügen"><i class="fas fa-cube" ></i></button>
											<button id="text-tool" class="btn" title="Text hinzufügen"><i class="fas fa-text-width" ></i></button>
											<button id="delete-element" class="btn" title="Elemente löschen"><i class="fas fa-trash-alt" ></i></button>											
										</div>										
									</div>
								</div>
								<div id="tool-box">	
									
									<div id="select-option" 
										style="border-style: ridge; padding: 10px; margin-top: 20px; width: 641px; height: 300px; overflow: auto;  display: none;">
									</div>
									
									<div id="drawing-mode-options" style="border-style: ridge; padding: 10px; margin-top: 20px; width: 641px; height: 300px; overflow: auto;  display: none;">
										<label for="drawing-mode-selector">Modus:</label> <select
											id="drawing-mode-selector">
											<option>Bleistift</option>
											<option>Kreis</option>
											<option>Spray</option>
											<option>Muster</option>
										</select> 
										<br /> <br /> 
										<label for="drawing-line-width">Breite:</label>
										<span class="info"></span> <input type="range" value="8"
											min="0" max="150" id="drawing-line-width"></input> 									
										<label for="drawing-color">Farbe</label> <input type="color"
											value="#d00000" id="drawing-color"></input> <br /> <br />
									</div>
									
									<div id="images"
										style="border-style: ridge; margin-top: 20px; padding: 10px; width: 641px; height: 300px; overflow: auto; display: none;">
										<c:forEach begin="0" end="1199" varStatus="loop">
											<h:graphicImage library="images"
												name="icon_(${loop.index}).svg" style="margin:5px;" />
										</c:forEach>
									</div>
									
									<div id="text-option" style="border-style: ridge; padding: 10px; width: 641px; height: 300px; margin-top: 20px; overflow: auto; display: none;">
										<div id="text-wrapper" style="margin-top: 10px;width:620px">
											<div id="text-controls">
												<div id="text-controls-row-1" >
													<div id="text-controls-row-2" style="float:right; margin-bottom:10px;">
														<label for="text-color" style="display: inline-block">Textfarbe</label>
														<input type="color" value="#000000" id="text-color" size="10"></input>
														<div>
															<label for="text-stroke-color">Konturfarbe</label> <input
																type="color" value="#000000" id="text-stroke-color"></input>
														</div>
														<div>
															<label for="text-stroke-width">Konturbreite</label> <input
																type="range" value="1" min="1" max="5"
																id="text-stroke-width"></input>
														</div>
														
														<div>
															<label for="text-lines-bg-color">Text-Hintergrundfarbe</label>
															<input type="color" value="#000000" id="text-lines-bg-color"
																size="10"></input>
														</div>
													</div>
													<div id="text-controls-additional" style="float:left">
														<div>
															<button id="add-text-button" class="btn"><i class="fas fa-font"></i></button>
														</div>
														<input type='checkbox' name='fonttype' id="text-cmd-bold"> Fett</input> 
														<input type='checkbox' name='fonttype' id="text-cmd-italic">Italic</input>
														<div>
															<label for="font-family" style="display: inline-block">Font</label>
															<select id="font-family-select"></select>
														</div>
														<div>
															<label for="text-font-size">Größe</label> <input
																type="range" value="" min="1" max="120" step="1"
																id="text-font-size"></input>
														</div>
														<div>
															<label for="text-bg-color">Hintergrundfarbe</label> <input
																type="color" value="" id="text-bg-color" size="10"></input>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>

									<div id="delete-option" 
										style="border-style: ridge; padding: 10px; margin-top: 20px; width: 641px; height: 300px; overflow: auto;  display: none;">
									</div>
									
								</div>
							</div>
						</div>
					</div>
					<h:form id="ideaInputStepTwoFormFooter">
						<h:inputHidden id="imgData1" value="#{ideaInputBean.dataUrl1}" />
						<h:inputHidden id="imgUrl1" value="#{ideaInputBean.titleImgUrl1}" />
						
						<h:inputHidden id="imgData2" value="#{ideaInputBean.dataUrl2}" />
						<h:inputHidden id="imgUrl2" value="#{ideaInputBean.titleImgUrl2}" />
						
						<h:inputHidden id="imgData3" value="#{ideaInputBean.dataUrl3}" />
						<h:inputHidden id="imgUrl3" value="#{ideaInputBean.titleImgUrl3}" />
						<footer class="w3-container w3-grey">
							<div class="w3-bar">
								<p:commandButton value="Weiter" id="submitStepTwo"
									styleClass="ui-priority-primary" style="float:right;"
									actionListener="#{ideaInputBean.ideaInputStepTwo}"
									onclick="document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepTwoFormFooter:submitStepTwo').style.display = 'none';">
								</p:commandButton>

								<p:commandButton value="TabClicked" id="submitStepTwoFromTab"
									actionListener="#{ideaInputBean.ideaInputStepTwoToStepOne}"
									style="display:none;" />

								<p:commandButton value="Zurück" id="backToOne"
									actionListener="#{ideaInputBean.backToStepOne}">
								</p:commandButton>

								<p:remoteCommand name="nullifyInputFields"
									actionListener="#{ideaInputBean.nullfyInputFields}"></p:remoteCommand>
							</div>
						</footer>
					</h:form>
					<h:outputScript library="js" name="freedrawing.js" />
				</p:panel>

				<!-- Step three modal -->
				<p:panel id="ideaInputStepThreePanel"
					style="#{ideaInputBean.styleModalThree}">
					<h:form id="ideaInputStepThreeForm" enctype="multipart/form-data">
						<header class="w3-container w3-blue">
							<h2 id="ideaInputModalHeadline">Ein neues Projekt einreichen</h2>
							<div class="modal-menu-header">
								<div class="not-selected">
									<p:commandLink value="Kurzbeschreibung"
										id="backToStepOneFromStepThree"
										onclick="submitStepThreeAndGoToStepOne()" />
								</div>
								<div class="not-selected">
									<p:commandLink value="Bilder" id="backToStepTwoFromStepThree"
										onclick="submitStepThreeAndGoToStepTwo()" />
								</div>
								<div class="selected">Lösungspräsentation</div>
								<div class="not-selected">Eingaben prüfen</div>
							</div>
						</header>

						<div class="w3-container w3-padding-small w3-row">
							<div class="w3-col m4 l3">
								<p>Fassen Sie hier Ihr Projekt zusammen, indem Sie per Text / per Video auf die unten aufgeführten Fragen Bezug nehmen.</p>
									<p>&#160;</p>
									<ol style="list-style-type:decimal;list-style-position:inside;">
										<li>Wer startet das Projekt?</li>
										<li>Worum geht es in dem Projekt und was soll damit
										erreicht werden?</li>
										<li>Für wen ist das Projekt wichtig?</li>
										<li>Warum ist das Projekt für Kassel wichtig?</li>
										<li>Wie wird das Projekt umgesetzt?</li>
									</ol>
									<p>&#160;</p>
							</div>
							<div class="w3-col m8 l9">
								<p style="padding-bottom: 5px">
									<label for="ideaPitchInput">Fassen Sie das Projekt in kurzen Worten zusammen:</label>
									<p:inputTextarea rows="6" cols="33" id="ideaPitchInput"
										class="w3-input" type="text" style="width:99%;"
										value="#{ideaInputBean.pitch}">
									</p:inputTextarea>
								</p>
								<p>&#160;</p>
								<label for="ideaPitchInput">Laden Sie ein kurzes Video zu Ihrem Projekt hoch:</label>
								<p>&#160;</p>
								<p>
									<b>Hinweis:</b> Es ist nur ein Video hochladbar (als .mp4- oder .MOV-Datei, max. 50&#160;MB). Wenn Sie ein
									weiteres Video hochladen, wird das vorherige Video ersetzt.
								</p>
								<p>&#160;</p>
								<p:fileUpload id="fileUploadVideo"
									fileUploadListener="#{ideaInputBean.uploadVideo}"
									label="Auswählen" mode="advanced" auto="true"
									invalidSizeMessage="Das Video ist zu groß. Bitte laden Sie eine Datei mit maximal 50MB hoch."
									dragDropSupport="true" sizeLimit="50000000"
									allowTypes="/(\.|\/)(mp4|MOV)$/" fileLimit="1" />
								<p:growl id="videoMsg" showDetail="true" sticky="false" />
							</div>
						</div>
						<p>&#160;</p>
						<footer class="w3-container w3-grey">
							<div class="w3-bar">
								<!-- TODO Move js to own file -->
								<p:commandButton value="Weiter" id="submitStepThree"
									styleClass="ui-priority-primary"
									onclick="document.getElementById('ideaInputStepOneModal').style.display='none'; document.getElementById('ideaInputOverviewModal').style.display='block';  document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:mainBodyOverview').style.display='block'; setTimeout(function() {finalMap.invalidateSize(); }, 200);
									
									allMarkers.clearLayers();
									allMarkers = L.layerGroup();
									
									var lat = document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lat').value;
									var lng = document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lng').value;
									
									var latlng = L.latLng(lat, lng);
									marker = new L.Marker(latlng, {icon: redIcon, draggable:false});
									
									allMarkers.addLayer(marker);
									finalMap.addLayer(allMarkers);"
									style="float:right;"
									actionListener="#{ideaInputBean.ideaInputStepThree}">
								</p:commandButton>
								<p:commandButton value="TabTwoClickedFromThree"
									id="submitStepThreeFromTab"
									actionListener="#{ideaInputBean.ideaInputStepThreeToStepTwo}"
									style="display:none;" />
								<p:commandButton value="TabOneClickedFromThree"
									id="submitStepThreeFromTab2"
									actionListener="#{ideaInputBean.ideaInputStepThreeToStepOne}"
									style="display:none;" />
								<p:commandButton value="Zurück" id="backToTwo"
									actionListener="#{ideaInputBean.backToStepTwo}"></p:commandButton>
							</div>
						</footer>
					</h:form>
				</p:panel>
			</p:panel>
		</h:body>
	</div>
	<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/cookie-bar/cookiebar-latest.min.js?"></script>
</f:view>